ACOSH(3)

NAME
acosh, acoshf, acoshl - inverse hyperbolic cosine function

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
acosh(double x);
float
acoshf(float x);
long double
acoshl(long double x);

DESCRIPTION
The acosh(), acoshf(), and acoshl() functions compute the inverse hyperbolic cosine of the real argument x.

RETURN VALUES
If x is less than one, acosh(x), acoshf(x), and acoshl(x) return NaN and set the global variable errno to EDOM.

SEE ALSO
asinh(3), atanh(3), exp(3), math(3)

HISTORY
The acosh() function appeared in 4.3BSD.

STANDARDS
The acosh() function conforms to isoC-99.